FindOnePath

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.wscreation.findpath
Class FindOnePath

    java.lang.Object
      com.wscreation.findpath.FindOnePath

    public class FindOnePath

extends java.lang.Object

class detecting all paths linking one input to one output

Author:
  WOLLBRETT

Field Summary
`private java.util.Vector<AssociationWithoutAttributs>` | `awa`
`private com.hp.hpl.jena.rdf.model.Resource` | `inputColumn`
`private double` | `lengthOfThePath`
`private java.lang.String` | `mappingFile`
`private com.hp.hpl.jena.rdf.model.Model` | `model`
`private com.hp.hpl.jena.rdf.model.Resource` | `outputColumn`
`private com.hp.hpl.jena.rdf.model.Resource` | `outputTable`
`Parcours_d2rq` | `parcours`
`private java.util.Vector<PathNode>` | `path`

Constructor Summary
`FindOnePath(java.lang.String mappingFile)`
`FindOnePath(java.lang.String mappingFile, com.hp.hpl.jena.rdf.model.Resource input, com.hp.hpl.jena.rdf.model.Resource output)`

Method Summary
`private boolean` | `alreadyInPathVector(com.hp.hpl.jena.rdf.model.Resource table)` search if a table has already been parsed
`private java.util.Vector<Table>` | `deleteTheTable(java.util.Vector<Table> tables, com.hp.hpl.jena.rdf.model.Resource table)`
`private java.util.Vector<Table>` | `editTableWeight(java.util.Vector<Table> tableVector, com.hp.hpl.jena.rdf.model.Resource table, double length)` edit weight between input table and the current table
`private com.hp.hpl.jena.rdf.model.Resource` | `findAnnotation(com.hp.hpl.jena.rdf.model.Resource inputConcept)` retrieve semantic annotation associated to a column
`private java.util.Vector<com.hp.hpl.jena.rdf.model.Resource>` | `findForeignKeys(com.hp.hpl.jena.rdf.model.Resource currentTable)` retrieve all foreign keys for a selected table
`private boolean` | `findInverseForeignKeys(java.util.Vector<com.hp.hpl.jena.rdf.model.Statement> smallestPathTableStatements, java.util.Vector<com.hp.hpl.jena.rdf.model.Resource> primaryKeys, java.util.Vector<Table> tableVector)` find inverse foreigh keys of a table.
`java.util.Vector<PathNode>` | `findOnePath(boolean deleteATable, com.hp.hpl.jena.rdf.model.Resource tableToDelete)` find all paths linking selected input to selected output
`private java.util.Vector<com.hp.hpl.jena.rdf.model.Resource>` | `findPrimaryKey(java.util.Vector<com.hp.hpl.jena.rdf.model.Statement> stmts)` find all attributs of a primary key for a selected table
`com.hp.hpl.jena.rdf.model.Resource` | `getInputConlumn()`
`java.lang.String` | `getMappingFile()`
`com.hp.hpl.jena.rdf.model.Model` | `getModel()`
`com.hp.hpl.jena.rdf.model.Resource` | `getOutputColumn()`
`private boolean` | `isAssociationTableRelation(com.hp.hpl.jena.rdf.model.Resource table)` search if a table is an assocation table
`private boolean` | `isHeritageRelation(com.hp.hpl.jena.rdf.model.Resource table)` search if a table has inheritance relation
`private boolean` | `isHeritageRelation(com.hp.hpl.jena.rdf.model.Resource inputTable, com.hp.hpl.jena.rdf.model.Resource outputTable)` search if a relation between 2 tables is an inheritance relation
`void` | `setInputColumn(com.hp.hpl.jena.rdf.model.Resource input)`
`void` | `setMappingFile(java.lang.String mappingFile)`
`void` | `setOutputColumn(com.hp.hpl.jena.rdf.model.Resource output)`
`private java.util.Vector<com.hp.hpl.jena.rdf.model.Statement>` | `tableWithSmallestPath(java.util.Vector<Table> tableVector)` find the table with the smallest path

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### inputColumn

    private com.hp.hpl.jena.rdf.model.Resource inputColumn

### outputColumn

    private com.hp.hpl.jena.rdf.model.Resource outputColumn

### parcours

    public Parcours_d2rq parcours

### path

    private java.util.Vector<PathNode> path

### lengthOfThePath

    private double lengthOfThePath

### mappingFile

    private java.lang.String mappingFile

### model

    private com.hp.hpl.jena.rdf.model.Model model

### outputTable

    private com.hp.hpl.jena.rdf.model.Resource outputTable

### awa

    private java.util.Vector<AssociationWithoutAttributs> awa

Constructor Detail

### FindOnePath

    public FindOnePath(java.lang.String mappingFile)

### FindOnePath

    public FindOnePath(java.lang.String mappingFile,
                       com.hp.hpl.jena.rdf.model.Resource input,
                       com.hp.hpl.jena.rdf.model.Resource output)

Method Detail

### setInputColumn

    public void setInputColumn(com.hp.hpl.jena.rdf.model.Resource input)

### setOutputColumn

    public void setOutputColumn(com.hp.hpl.jena.rdf.model.Resource output)

### setMappingFile

    public void setMappingFile(java.lang.String mappingFile)

### getInputConlumn

    public com.hp.hpl.jena.rdf.model.Resource getInputConlumn()

### getOutputColumn

    public com.hp.hpl.jena.rdf.model.Resource getOutputColumn()

### getMappingFile

    public java.lang.String getMappingFile()

### getModel

    public com.hp.hpl.jena.rdf.model.Model getModel()

### findOnePath

    public java.util.Vector<PathNode> findOnePath(boolean deleteATable,
                                                  com.hp.hpl.jena.rdf.model.Resource tableToDelete)

  find all paths linking selected input to selected output

  Returns:
    Vector vector containing the path

### findPrimaryKey

    private java.util.Vector<com.hp.hpl.jena.rdf.model.Resource> findPrimaryKey(java.util.Vector<com.hp.hpl.jena.rdf.model.Statement> stmts)

  find all attributs of a primary key for a selected table

  Parameters:
    `stmts` - contain all informations about a table
  Returns:
    Vector contain all attributs of the primary key

### deleteTheTable

    private java.util.Vector<Table> deleteTheTable(java.util.Vector<Table> tables,
                                                   com.hp.hpl.jena.rdf.model.Resource table)

### editTableWeight

    private java.util.Vector<Table> editTableWeight(java.util.Vector<Table> tableVector,
                                                    com.hp.hpl.jena.rdf.model.Resource table,
                                                    double length)

  edit weight between input table and the current table

  Parameters:
    `tableVector` -
    `table` -
    `length` -
  Returns:

### findInverseForeignKeys

    private boolean findInverseForeignKeys(java.util.Vector<com.hp.hpl.jena.rdf.model.Statement> smallestPathTableStatements,
                                           java.util.Vector<com.hp.hpl.jena.rdf.model.Resource> primaryKeys,
                                           java.util.Vector<Table> tableVector)

  find inverse foreigh keys of a table. An inverse foreigh key is foreigh key oriented in the over side. a foreigh key detection imply to incremente path weight for the linked table

  Parameters:
    `smallestPathTableStatements` -
    `primaryKeys` -
    `tableVector` -
  Returns:

### isHeritageRelation

    private boolean isHeritageRelation(com.hp.hpl.jena.rdf.model.Resource inputTable,
                                       com.hp.hpl.jena.rdf.model.Resource outputTable)

  search if a relation between 2 tables is an inheritance relation

  Parameters:
    `inputTable` -
    `outputTable` -
  Returns:
    boolean

### isHeritageRelation

    private boolean isHeritageRelation(com.hp.hpl.jena.rdf.model.Resource table)

  search if a table has inheritance relation

  Parameters:
    `table` -
  Returns:
    boolean

### isAssociationTableRelation

    private boolean isAssociationTableRelation(com.hp.hpl.jena.rdf.model.Resource table)

  search if a table is an assocation table

  Parameters:
    `table` -
  Returns:
    boolean

### findForeignKeys

    private java.util.Vector<com.hp.hpl.jena.rdf.model.Resource> findForeignKeys(com.hp.hpl.jena.rdf.model.Resource currentTable)

  retrieve all foreign keys for a selected table

  Parameters:
    `currentTable` -
  Returns:

### findAnnotation

    private com.hp.hpl.jena.rdf.model.Resource findAnnotation(com.hp.hpl.jena.rdf.model.Resource inputConcept)

  retrieve semantic annotation associated to a column

  Parameters:
    `inputConcept` -
  Returns:

### tableWithSmallestPath

    private java.util.Vector<com.hp.hpl.jena.rdf.model.Statement> tableWithSmallestPath(java.util.Vector<Table> tableVector)

  find the table with the smallest path

  Parameters:
    `tableVector` -
  Returns:

### alreadyInPathVector

    private boolean alreadyInPathVector(com.hp.hpl.jena.rdf.model.Resource table)

  search if a table has already been parsed

  Parameters:
    `table` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD